using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;


namespace MODEL
{
   public class Employee
    {
       
      

       /// <summary>
       /// MODEL----员工
       /// </summary>
       
        #region  字段属性
       private int _employeeID;   //自动编号
       private string _employeeName;
       private string _sex ;
       private DateTime _birthday;
       private string _address;    //现住址
       private string _no;
       private string _learn;
       private string _mobile;
       private string _email;
       private int _jobID;
       private int _deptID;
       private string _workState;
       private string _photo;
       private string _agreement;
       private string _pwd;
       private string _userLevel;
       private string _onLine;
       public int EmployeeID
       {
           set { _employeeID = value; }
           get { return _employeeID; } 
       }
       public string EmployeeName
       {
           set { _employeeName = (value != null) ? value : ""; }
           get { return _employeeName; }
       }
           
       public string Sex
       {
           set { _sex = (value != null) ? value : null; }
           get { return _sex; }           
       }
       public DateTime Birthday
       {
           set { _birthday = value; }
           get { return _birthday; }
       }


       public string Address
       {
           set { _address = (value != null) ? value : null; }
           get { return _address; }
       }
       public string NO
       {
           set { _no = value; }
           get { return _no; }
       }
       public string Learn
       {
           set { _learn = (value != null) ? value : null; }
           get { return _learn; }
       }
       public string Mobile
       {
           set { _mobile = (value != null) ? value : null; }
           get { return _mobile; }
       }
       public string Email
       {
           set { _email = (value != null) ? value : null; }
           get { return _email; }
       }
       public int JobID
       {
           set { _jobID = value; }
           get { return _jobID; }
       }
       public int DeptID
       {
           set { _deptID = value; }
           get { return _deptID; }
       }
       public string WorkState
       {
           set { _workState = (value != null) ? value : null; }
           get { return _workState; }
       }
       public string Photo
       {
           set { _photo = (value != null) ? value : null; }
           get { return _photo; }
       }
       public string AgreeMent
       {
           set { _agreement = (value != null) ? value : null; }
           get { return _agreement; }
       }

       public string Pwd
       {
           set { _pwd = (value != null) ? value : null; }
           get { return _pwd; }
       }
       public string UserLevel
       {
           set { _userLevel = value; }
           get { return _userLevel; }
       }
       public string OnLine
       {
           set { _onLine = value; }
           get { return _onLine; }
       }
        #endregion


   }
}
